

*Figure 1
 twoway (connected fr_index year, sort) if year>=1990 & year<=2013, ytitle(Fiscal Rules Strength Index) xscale(range(1990 2013)) xlabel(#5) by(Country)

 *Table 2
sort noCountry year
drop if year<1990 
xtabond2 d_fr_index l.d_fr_index  L(1).(l5_d_debt d_debt d_bonds )  L(1).(d_gov2_FR_salience coalition  d_righ_ideology ) leg_elec1 L(0).(  EU_help EU_application) , orthogonal ivstyle( coalition leg_elec1) gmmstyle(l.d_fr_index l5_d_debt d_debt d_bonds  d_righ_ideology d_gov2_FR_salience  EU_application EU_help) pca  components(26) robust twostep
estimates store GMM
xtreg d_fr_index l.d_fr_index  L(1).(l5_d_debt d_debt d_bonds  )  L(1).(d_gov2_FR_salience coalition d_righ_ideology) leg_elec1 L(0).(EU_application  EU_help ) , fe vce(r) 
estimates store fixed
		 
estout fixed GMM , c( b(fmt(3) star) se(fmt(3) ))starlevels(* 0.11 ** 0.05 *** 0.01)


*Impact of the number of instrument
 foreach num of numlist 16(2)60 {
xtabond2 d_fr_index l.d_fr_index  L(1).(l5_d_debt d_debt d_bonds )  L(1).(d_gov2_FR_salience coalition  d_righ_ideology ) leg_elec1 L(0).(  EU_help EU_application) , orthogonal ivstyle( coalition leg_elec1) gmmstyle(l.d_fr_index l5_d_debt d_debt d_bonds  d_righ_ideology d_gov2_FR_salience  EU_application EU_help) pca  components(`num') robust twostep
estimates store A`num'
}
estout A1* A2* A3* , c( b(fmt(3)))
estout A4* A5* A6* , c( b(fmt(3)))

estout A1* A2* A3* , c( se(fmt(3)))
estout A4* A5* A6* , c( se(fmt(3)))

estout A1* A2* A3* , c( p(fmt(3)))
estout A4* A5* A6* , c( p(fmt(3)))


